body {
  background-color: black;
  font-size: 1.2em;
  color: whitesmoke;
  max-width: 100%;
  /* font-family: 'Courier New', Courier, monospace; */
  font-family: sans-serif;
}

a {
  /* color: aqua; */
  color: whitesmoke;
  text-decoration: none;
  font-size: 1.2em;
}

.chap-info {
  width: 100%;
  color: #3498db;
  font-weight: bolder;
  text-align: center;
  font-size: 1.5em;
}

img.chapter_page {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}

a.chapter_link {
  color: rgb(255, 182, 0);
  width: 60%;
}


a.chapter_link:link {
  color: rgb(255, 182, 0);
}

/* visited link */
.chapter_link:visited {
  color: grey;
}



.chapter_item {
  /* justify-content: space-between; */
  margin: 1em;
  /* border: #9e9e9e;
  border-width: 0em, 0em, 0em .1em;
  border-style: solid; */
  border-top: 0.1em solid #a2a2a2;
  display: flex;
  /* border-radius: 1em; */
  padding: .5em;
  /* flex-wrap: nowrap; */
  justify-content: space-between;
  flex-wrap: wrap;
}

.top_bar {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1em;
}
.top-bar-right{
display: flex;
flex-wrap: nowrap;
}

img.profile {
  height: 1.5em;
  vertical-align: middle;
}

.my_profile{
  height: 2em;
  margin-left: 0.5em;
  margin-left: 0.5em;
  vertical-align: middle;
}
.profile {
  margin: .5em;
}

.change-chapter {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.chapter-button {
  background-color: #3498db;
  margin: 1em;
  padding: 1em;
  border-radius: 1em;
  color: black;
  width: 30%;
  text-align: center;
  font-size: 2em;
}

#search_box {
  padding: .5em;
  box-sizing: border-box;
  border: none;
  outline: none;
  font-size: 1.2em;
  border-radius: .5em;
  background-color: rgb(60, 60, 60);
  color: whitesmoke;
  /* width: 20em; */
  /* height: 4em; */
  /* font-size: 4em; */
}


.author_list {
  color: rgb(255, 183, 0);
}

.author {
  vertical-align: middle;
}

.works {
  display: flex;
  flex-wrap: wrap;
  /* width: 100%; */
  justify-content: space-between;

}

.title {
  width: 15em;
  text-align: center;
  /* margin: 1em; */
  transition: transform .3s;
  font-size: 1.15em;
}




.popular {
  display: flex;
  width: 100%;
  overflow-x: scroll;
  /* scroll-snap-type: x mandatory; */
  height: 30em;
}

.popular-manga>a>img {
  border-radius: .3em;
  height: 22.5em;
  width: 15em;
  object-fit: cover;

}

.popular-manga {
  scroll-snap-align: start;
  scroll-snap-type: mandatory;
}

.popular-manga>a {
  display: flex;
  flex-wrap: nowrap;
  margin: 1em;
  position: relative;
}

.popular-title {
  width: 10em;
}

.ranking {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.7);
  color: rgb(255, 255, 255);
  /* padding: .5em; */
  width: 1.7em;
  height: 1.7em;
  text-align: center;
  vertical-align: middle;
  font-size: 1.5em;
  border-radius: 0 0 100% 0;
}

img.cover_art {
  margin-left: 1em;
}


.new-release {
  margin-bottom: 10em;
}

.new_chapter,
.new-release {
  /* border: .1em solid #868686;
  border-radius: 1em; */
  background-color: gray;
  margin: .5em;
  padding: .5em;
  border-radius: .3em;
  align-self: center;
}

.updated-release {
  border: .1em solid #868686;
  border-radius: 1em;
  margin: .5em;
  padding: .5em;
  border-radius: .3em;
  align-self: center;
}

.manga_info {
  margin-left: 3em;
  margin-right: 3em;
  /* display: flex; */
}

.row_1 {
  display: flex;
  flex-wrap: nowrap;
  /* vertical-align: middle; */
  /* align-items: center; */
  /* text-align: center; */
  /* align-content: center; */
max-width: 100%;
  /* flex-wrap: nowrap; */

}

.col_2 {
  margin: 1em;
  /* min-width: 50%; */
}

.row_2 {
  display: flex;
  flex-wrap: nowrap;
  /* margin-top: 1em; */
  /* flex-wrap: wrap-reverse; */
  /* flex-wrap: wrap-reverse; */
}


.author {
  width: max-content;
}

.manga_title {
  font-size: 3em;
}



img.manga_cover {
  object-fit: contain;
  height: 30em;
  border-radius: 3%;
  transition: .5s;
  max-width: 55%;
}

.description {
  margin-left: 1em;
  width: 50em;

  /* height: 10em; */
  overflow: hidden;
}

img.logo {
  height: 7em;
}

.go_home {
  align-items: center;
}

div.bottom_bar {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
}

img.feather {
  width: 10em;
}

/* loading spinner animation */
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.loading {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite;
  /* Safari */
  animation: spin 2s linear infinite;
}





.tl_group_list {
  /* width: 29%; */
  text-align: right;
}

img.open-in-md {
  width: 3em;
  margin: .5em;
}

#autocomplete-container {
  position: absolute;
  height: 15em;
  overflow: scroll;
  background-color: #000;
  z-index: 100;
}

img.autocomplete-img {
  height: 5em;
}

.autocomplete-result {
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
  margin-bottom: 10px;
  border: none;
  outline: none;
  border: 1px solid grey;
  font-size: 15px;
  border-radius: 5px;
}


.autocomplete-result {
  margin-top: 7px;
  padding: 6px;
  margin-bottom: 0px;

}

.updated-title {
  margin: 1em;
  overflow-wrap: normal;
  width: 11em;
}

.title-img {
  width: 10em;
  border-radius: .3em;
}

.title-image {
  width: 10em;
  border-radius: .3em;
  border-radius: 10em;
}

.updated-release {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.ttt {
  display: block;

}

img.search-img {
  display: none;
}

@media screen and (max-width: 800px) {

  /* body {
    background-color: lightblue;
  } */
  #search_box {
    display: none;
  }

  img.search-img {
    display: inline;
  }
}

.closebtn {
  position: absolute;
  top: 20px;
  right: 45px;
  font-size: 60px;
  cursor: pointer;
  color: #fff;
}

.overlay {
  height: 100%;
  width: 100%;
  display: none;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.7);
}

.wrap {
  max-width: 360px;
  margin: auto;
  padding: 20px;
  background: #fff;
  /* margin-top: 100px; */
  margin-top: 10%;
  border-radius: 20px;
  color: black;
  max-height: 40em;
  overflow-y: scroll;
}

img.ddl-button {
  height: 5em;
  color: #f3f3f3;
  border-radius: 10%;
  background-color: #3498db;
  margin: .5em;

}

.buttons {
  display: flex;
  flex-wrap: wrap;
}

.save-manga {
  margin: .5em;
  height: 5em;
  border-radius: 10%;
}